extends Area2D

#-基本データ
var hp				#-耐久力
var atk				#-攻撃力
var is_boss			#-ボスか？
var is_carrior		#-アイテムキャリアか？
var pts				#-点数
var unbrakable		#-破壊できるか？

var speed							#-速度
var move_vec=Vector2.ZERO			#-移動ベクトル

var etc

var exp_src=preload("res://enemies_explode.tscn")
var expb_src=preload("res://bosses_explode.tscn")
var item_src=preload("res://pow_item.tscn")

#　初期化処理
func init(px,py,pe=0):
	position.x=px
	position.y=py
	etc=pe
	
# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func X():
	return position.x
	
func Y():
	return position.y
	
func Pos():
	return position
	
func HP():
	return hp
	
func Atk():
	return atk
	
func IsBoss():
	return is_boss
	
func IsCarrior():
	return is_carrior
	
func Pts():
	return pts

func UnBreakable():
	return unbrakable

#-移動処理
func move(pd):
	position=position+move_vec*speed*pd
	
#-ショットに当たった時の処理
func _on_area_entered(area):
	#print ("hit")
	var dam=area.Atk()
	if unbrakable==0:
		hp=hp-dam
		if hp<=0:
			#-破壊処理
			if is_boss==1:
				#-ボス用の爆発
				var e=expb_src.instantiate()
				e.init(position.x,position.y)
				get_parent().add_child(e)
			else: 
				#-ふつうの爆発
				var e=exp_src.instantiate()
				e.init(position.x,position.y)
				get_parent().add_child(e)
			if is_carrior==1:
				#-アイテム放出の処理
				var it=item_src.instantiate()
				it.init(position.x,position.y)
				get_parent().add_child(it)
			#-スコア加算
			Gl.gainScore(pts)
			updateScore()
			#-自分を消す
			queue_free()
	#-敵弾も消滅
	if area.UnErasable()==0:
		area.queue_free()

func updateScore():
	var scr:Label=$"../HUD/ScoreText"
	var scrtext= "%d" % Gl.score
	scr.text= scrtext
