extends CanvasLayer
var scene_path

# Called when the node enters the scene tree for the first time.

func scene_move(path):
	scene_path=path
	# ColorRectを表示
	$Sprite2D.show()
	# フェードアウト再生
	$AnimationPlayer.play("FadeOut")

func _on_animation_player_animation_finished(anim_name):
	if anim_name=="FadeOut":
		# シーン切替
		get_tree().change_scene_to_packed(scene_path)
		# フェードイン再生
		$AnimationPlayer.play("FadeIn")
	if anim_name=="FadeIn":
		# ColorRectを非表示
		print ("hide")
		$Sprite2D.hide()
