# 改造について
# (初級編)
# ★タイトルや自機、敵、背景のグラフィックを変える(初歩)
# player.png(自機)、enemy〇.png(敵)、boss1.png(ボス)、shot.png(自機の弾)
# bullet.png(敵の弾)、Item.png(アイテム)、title.png(タイトル)
# back〇.png(背景)を自分で書いたものに書き換える
# ただし、画像サイズは次のものにすること
# 自機、敵→32x32
# ボス→200x150
# 自機の弾→5x20
# 敵の弾→12x12
# アイテム→32x16
# タイトル→512x448
# 背景→512x1120
# (中級編)
# ★敵の動きや出現パターンを変える
# player.tscn(自機)、enemy〇.tscn(敵)のスクリプトを書き換えれば、自機や敵の動きや
# パワーアップ、ダメージ処理などを変えることができます。
# poper.tscn、stage.tscn内のsetPoper()の内容を書き得れば、敵の出現パターンを書き換えることができます。
# Gl.gd内のstage_maxの値を書き換えれば、ステージ数を変えることができます
# (上級編)
# ★ ザコの敵の大きさを変えたり、オリジナルの敵を出す
# ザコの大きさを変えるなら、その敵のCollisionShape2Dの大きさを変えます
# ザコを追加する場合は、enemies.tscnを継承したシーンを作ります。

extends Node

var scene_title=preload("res://title.tscn")

# Called when the node enters the scene tree for the first time.
func _ready():
	get_tree().change_scene_to_packed(scene_title)


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass
