extends Node

var pop_time
var pop_enemytype
var pop_interval
var pop_pos
var pop_pops

var standby_cntr=0
var pop_flag=0
var pop_cntr=0
var time_cntr=0

# ここに、ポップさせたい敵のパスを書く
var enemies_src=[
	"res://enemy_1.tscn","res://enemy_2.tscn","res://carrior.tscn",
	"res://boss_1.tscn"
	]

var obj

# 初期化
func init(pt,pe,pi,pp,pm):
	pop_time=pt
	pop_enemytype=pe
	obj=load(enemies_src[pop_enemytype])
	pop_interval=pi
	pop_pos=pp
	pop_pops=pm

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if pop_flag==0:
		standby_cntr=standby_cntr+1
		if standby_cntr==pop_time:
			pop_flag=1
	if pop_flag==1:
		time_cntr=(time_cntr+1)%pop_interval
		if time_cntr==0:
			pop()
			pop_cntr=pop_cntr+1
			if pop_cntr>=pop_pops:
				queue_free()

# 敵をポップ
func pop():
	var ploc=[[128,0],[256,0],[384,0],
	[512,224],[384,448],[256,448],
	[128,448],[0,224],[-1,0],[-1,448]
	]
	var p=obj.instantiate()
	var px
	if ploc[pop_pos][0]>=0:
		px=ploc[pop_pos][0]
	else:
		px=randi_range(16,Gl.screen_size.x-16)
	var py=ploc[pop_pos][1]
	p.init(px,py,0)
	get_parent().add_child(p)
